<?php
/**
 * Aliases for special pages of Translate extension.
 *
 * @file
 * @license GPL-2.0-or-later
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'AggregateGroups' => [ 'AggregateGroups' ],
	'ImportTranslations' => [ 'ImportTranslations' ],
	'ExportTranslations' => [ 'ExportTranslations' ],
	'LanguageStats' => [ 'LanguageStats' ],
	'ManageMessageGroups' => [ 'ManageMessageGroups' ],
	'ManageTranslatorSandbox' => [ 'ManageTranslatorSandbox', 'TranslateSandbox' ],
	'MessageGroupStats' => [ 'MessageGroupStats' ],
	'PageTranslation' => [ 'PageTranslation' ],
	'PageTranslationDeletePage' => [ 'PageTranslationDeletePage' ],
	'SearchTranslations' => [ 'SearchTranslations' ],
	'SupportedLanguages' => [ 'ActiveLanguages', 'SupportedLanguages' ],
	'Translate' => [ 'Translate' ],
	'TranslationStash' => [ 'TranslationStash' ],
	'TranslationStats' => [ 'TranslationStats', 'TranslationStatistics' ],
	'Translations' => [ 'Translations' ],
	'PageMigration' => [ 'PageMigration' ],
	'PagePreparation' => [ 'PagePreparation' ],
];

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = [
	'LanguageStats' => [ 'TaalStatsistieke' ],
	'PageTranslation' => [ 'BladsyVertaling' ],
	'Translate' => [ 'Vertaal' ],
	'TranslationStats' => [ 'VertaalStatistieke' ],
	'Translations' => [ 'Vertalings' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'AggregateGroups' => [ 'مجموعات_مجمعة' ],
	'ImportTranslations' => [ 'استيراد_الترجمات' ],
	'LanguageStats' => [ 'إحصاءات_اللغات' ],
	'ManageMessageGroups' => [ 'التحكم_بمجموعات_الرسائل' ],
	'ManageTranslatorSandbox' => [ 'التحكم_بملعب_المترجم', 'ملعب_الترجمة' ],
	'MessageGroupStats' => [ 'إحصاءات_مجموعات_الرسائل' ],
	'PageTranslation' => [ 'ترجمة_صفحة' ],
	'PageTranslationDeletePage' => [ 'صفحة_حذف_ترجمة_الصفحة' ],
	'SearchTranslations' => [ 'بحث_الترجمات' ],
	'SupportedLanguages' => [ 'اللغات_المدعومة' ],
	'Translate' => [ 'ترجمة' ],
	'TranslationStash' => [ 'ستاش_الترجمة' ],
	'TranslationStats' => [ 'إحصاءات_الترجمة' ],
	'Translations' => [ 'ترجمات' ],
	'PageMigration' => [ 'هجرة_الصفحة' ],
	'PagePreparation' => [ 'تحضير_الصفحة' ],
];

/** Aramaic (ܐܪܡܝܐ) */
$specialPageAliases['arc'] = [
	'PageTranslation' => [ 'ܬܘܪܓܡܐ_ܕܦܐܬܐ' ],
	'SupportedLanguages' => [ 'ܠܫܢ̈ܐ_ܣܡܝܟ̈ܐ' ],
	'Translate' => [ 'ܬܪܓܡ' ],
	'Translations' => [ 'ܬܘܪ̈ܓܡܐ' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'AggregateGroups' => [ 'مجموعات_متجمعه' ],
	'ImportTranslations' => [ 'استوراد_الترجمات' ],
	'LanguageStats' => [ 'احصائيات_اللغات' ],
	'ManageMessageGroups' => [ 'التحكم_بمجموعات_الرسايل' ],
	'ManageTranslatorSandbox' => [ 'التحكم_بسبوره_المترجم', 'سبوره_الترجمه' ],
	'MessageGroupStats' => [ 'احصاءات_مجموعات_الرسايل' ],
	'PageTranslation' => [ 'ترجمة_صفحه' ],
	'PageTranslationDeletePage' => [ 'صفحه_حذف_ترجمه_الصفحه' ],
	'SearchTranslations' => [ 'تدوير_الترجمات' ],
	'SupportedLanguages' => [ 'اللغات_المتدعمه' ],
	'Translate' => [ 'ترجمه' ],
	'TranslationStash' => [ 'ستاش_الترجمه' ],
	'TranslationStats' => [ 'احصائيات_الترجمه' ],
	'Translations' => [ 'ترجمات' ],
	'PageMigration' => [ 'هجره_الصفحه' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'ImportTranslations' => [ 'অনুবাদ_আমদানি_কৰক' ],
	'LanguageStats' => [ 'ভাষাৰ_পৰিসংখ্যা' ],
	'MessageGroupStats' => [ 'বাৰ্তাৰ_গোট_পৰিসংখ্যা' ],
	'PageTranslation' => [ 'পৃষ্ঠা_অনুবাদ' ],
	'SupportedLanguages' => [ 'সমৰ্থিত_ভাষাসমূহ' ],
	'Translate' => [ 'অনুবাদ_কৰক' ],
	'TranslationStats' => [ 'অনুবাদ_পৰিসংখ্যা' ],
	'Translations' => [ 'অনুবাদসমূহ' ],
];

/** Asturian (asturianu) */
$specialPageAliases['ast'] = [
	'Translate' => [ 'Traducir' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'AggregateGroups' => [ 'Агрегированные_группы' ],
	'ImportTranslations' => [ 'Импорт_переводов' ],
	'LanguageStats' => [ 'Статистика_языка' ],
	'ManageMessageGroups' => [ 'Управление_группами_сообщений' ],
	'MessageGroupStats' => [ 'Статистика_группы_сообщений' ],
	'PageTranslation' => [ 'Перевод_страниц' ],
	'PageTranslationDeletePage' => [ 'Удаление_переводимой_страницы' ],
	'SearchTranslations' => [ 'Поиск_переводов' ],
	'SupportedLanguages' => [ 'Поддерживаемые_языки' ],
	'Translate' => [ 'Перевести' ],
	'TranslationStats' => [ 'Статистика_переводов' ],
	'Translations' => [ 'Переводы' ],
];

/** Azerbaijani (azərbaycanca) */
$specialPageAliases['az'] = [
	'PageTranslation' => [ 'SəhifəTərcüməsi' ],
	'Translations' => [ 'Tərcümələr' ],
];

/** South Azerbaijani (تۆرکجه) */
$specialPageAliases['azb'] = [
	'PageTranslation' => [ 'صحیفه_چئویرمه‌سی' ],
	'Translations' => [ 'چئویرمه‌لر' ],
];

/** Bashkir (башҡортса) */
$specialPageAliases['ba'] = [
	'Translate' => [ 'Translate' ],
	'Translations' => [ 'Translations' ],
];

/** Southern Balochi (بلوچی مکرانی) */
$specialPageAliases['bcc'] = [
	'Translate' => [ 'ترجمه' ],
];

/** Bulgarian (български) */
$specialPageAliases['bg'] = [
	'Translate' => [ 'Превеждане' ],
	'Translations' => [ 'Преводи' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'AggregateGroups' => [ 'گروپ_ئآنی_جم' ],
	'ImportTranslations' => [ 'ترجمه_ئانی_درون_بررّگ' ],
	'LanguageStats' => [ 'زبان_ئانی_سرجم' ],
	'ManageMessageGroups' => [ 'پیامی_گروپ_ئانی_مدیریت' ],
	'ManageTranslatorSandbox' => [ 'ترجمه_ئی_تمرین_ئی_تاکدیمی_مدیریت' ],
	'MessageGroupStats' => [ 'پیام_ی_گروپ_ئی_سرجم' ],
	'PageTranslation' => [ 'ترجمه_ئی_تاکدیم' ],
	'PageTranslationDeletePage' => [ 'تاکدیمی_پاک_کورتین' ],
	'SearchTranslations' => [ 'ترجمه_ئانی_گشتین' ],
	'SupportedLanguages' => [ 'پُشتیوانی_بوته_ئین_زبانان' ],
	'Translate' => [ 'ترجمه' ],
	'TranslationStats' => [ 'ترجمه_ئانی_سرجم' ],
	'Translations' => [ 'ترجمه_ئان' ],
	'PageMigration' => [ 'تاکدیمی_لَڑ_و_بار' ],
];

/** Banjar (Bahasa Banjar) */
$specialPageAliases['bjn'] = [
	'ImportTranslations' => [ 'Impor_tarjamahan' ],
	'LanguageStats' => [ 'Statistik_bahasa' ],
	'PageTranslation' => [ 'Tarjamahan_tungkaran' ],
	'Translate' => [ 'Tarjamahakan' ],
	'TranslationStats' => [ 'Statistik_tarjamahan' ],
	'Translations' => [ 'Tarjamahan' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'AggregateGroups' => [ 'সমষ্টিগত_গোষ্ঠীসমূহ' ],
	'ImportTranslations' => [ 'অনুবাদ_আমদানি' ],
	'ExportTranslations' => [ 'অনুবাদ_রপ্তানি' ],
	'LanguageStats' => [ 'ভাষার_পরিসংখ্যান' ],
	'ManageMessageGroups' => [ 'বার্তার_গোষ্ঠী_পরিচালনা' ],
	'ManageTranslatorSandbox' => [ 'অনুবাদকের_খেলাঘর_পরিচালনা', 'অনুবাদের_খেলাঘর' ],
	'MessageGroupStats' => [ 'বার্তা_দলের_পরিসংখ্যান' ],
	'PageTranslation' => [ 'পাতা_অনুবাদ' ],
	'PageTranslationDeletePage' => [ 'পাতা_অনুবাদের_পাতা_অপসারণ' ],
	'SearchTranslations' => [ 'অনুবাদ_অনুসন্ধান' ],
	'SupportedLanguages' => [ 'সমর্থিত_ভাষা' ],
	'Translate' => [ 'অনুবাদ' ],
	'TranslationStash' => [ 'অনুবাদের_স্টাশ' ],
	'TranslationStats' => [ 'অনুবাদের_পরিসংখ্যান' ],
	'Translations' => [ 'অনুবাদসমূহ' ],
	'PageMigration' => [ 'পাতা_অভিপ্রায়ণ', 'পৃষ্ঠা_অভিপ্রায়ণ' ],
	'PagePreparation' => [ 'পাতা_প্রস্তুতি', 'পৃষ্ঠা_প্রস্তুতি' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'ImportTranslations' => [ 'EnporzhiañTroidigezhioù' ],
	'LanguageStats' => [ 'StadegoùYezh' ],
	'PageTranslation' => [ 'TroidigezhPajenn' ],
	'SupportedLanguages' => [ 'Yezhoùskoret' ],
	'Translate' => [ 'Treiñ' ],
	'TranslationStats' => [ 'StadegoùTreiñ' ],
	'Translations' => [ 'Troidigezhioù' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'ImportTranslations' => [ 'UvozPrijevoda' ],
	'ExportTranslations' => [ 'IzvozPrijevoda' ],
	'LanguageStats' => [ 'StatistikeJezika' ],
	'PageTranslation' => [ 'PrijevodStranice' ],
	'Translate' => [ 'Prevedi' ],
	'TranslationStats' => [ 'StatistikePrevoda' ],
	'Translations' => [ 'Prijevodi' ],
];

/** буряад (буряад) */
$specialPageAliases['bxr'] = [
	'PageTranslation' => [ 'Хуудаһанай_оршуулга' ],
	'SupportedLanguages' => [ 'Дэмжэдэг_хэлэн' ],
	'Translate' => [ 'Оршуулха' ],
	'Translations' => [ 'Оршуулганууд' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'ImportTranslations' => [ '導底翻譯' ],
	'LanguageStats' => [ '語言統計' ],
	'ManageMessageGroups' => [ '管理信息組' ],
	'MessageGroupStats' => [ '信息組統計' ],
	'PageTranslation' => [ '頁面翻譯' ],
	'SupportedLanguages' => [ '支持其語言' ],
	'Translate' => [ '翻譯' ],
	'TranslationStats' => [ '翻譯統計' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'AggregateGroups' => [ 'Агрегированни_тобанаш' ],
	'ImportTranslations' => [ 'Гоч_йинарш_импорт_яр' ],
	'LanguageStats' => [ 'Меттан_статистика' ],
	'ManageMessageGroups' => [ 'Хаамийн_тобанийн_урхалла_дар' ],
	'MessageGroupStats' => [ 'Хаамийн_тобанийн_статистика' ],
	'PageTranslation' => [ 'АгӀонаш_гоч_яр' ],
	'PageTranslationDeletePage' => [ 'Гоч_еш_йолу_агӀо_дӀаяккхар' ],
	'SearchTranslations' => [ 'Гоч_йинарш_лахар' ],
	'SupportedLanguages' => [ 'Ловш_долу_меттанаш' ],
	'Translate' => [ 'Гоч_де' ],
	'TranslationStats' => [ 'Гочдаран_статистика' ],
	'Translations' => [ 'Гоч_дарш' ],
];

/** Cebuano (Cebuano) */
$specialPageAliases['ceb'] = [
	'Translate' => [ 'Hubara' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'Translate' => [ 'Přeložit' ],
];

/** Danish (dansk) */
$specialPageAliases['da'] = [
	'PageTranslation' => [ 'Sideoversættelse' ],
	'Translate' => [ 'Oversæt' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'AggregateGroups' => [ 'Zusammenfassende_Nachrichtengruppen' ],
	'ImportTranslations' => [ 'Übersetzungen_importieren' ],
	'LanguageStats' => [ 'Sprachstatistiken' ],
	'ManageMessageGroups' => [ 'Nachrichtengruppen_verwalten' ],
	'ManageTranslatorSandbox' => [ 'Übersetzerspielwiese_verwalten' ],
	'MessageGroupStats' => [ 'Nachrichtengruppenstatistiken' ],
	'PageTranslation' => [ 'Übersetzung_von_Seiten' ],
	'PageTranslationDeletePage' => [ 'Löschseite_für_Übersetzungen' ],
	'SearchTranslations' => [ 'Übersetzungen_suchen' ],
	'SupportedLanguages' => [ 'Unterstützte_Sprachen' ],
	'Translate' => [ 'Übersetzen' ],
	'TranslationStash' => [ 'Übersetzungsversteck' ],
	'TranslationStats' => [ 'Übersetzungsstatistik' ],
	'Translations' => [ 'Übersetzungen' ],
	'PageMigration' => [ 'Seitenmigration' ],
	'PagePreparation' => [ 'Seitenvorbereitung' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'AggregateGroups' => [ 'GrubéAggregate' ],
	'ImportTranslations' => [ 'AçarnayışaZerrefi' ],
	'LanguageStats' => [ 'İstatistikêZıwani' ],
	'ManageMessageGroups' => [ 'GrubanéMesacanİdareke' ],
	'ManageTranslatorSandbox' => [ 'İdareyaQumdorAçarnayış', 'QumdorAçarnayış' ],
	'MessageGroupStats' => [ 'İstatistikêGrubaMesacan' ],
	'PageTranslation' => [ 'Açarnayışê_Pele' ],
	'PageTranslationDeletePage' => [ 'PerraAçarnayışéPerraBesternayış' ],
	'SearchTranslations' => [ 'AçarnayışaCıgeyreyış' ],
	'SupportedLanguages' => [ 'ZıwanêkeDestegnênê' ],
	'Translate' => [ 'Açarnayış' ],
	'TranslationStash' => [ 'AçarnayışiNımnanyış' ],
	'TranslationStats' => [ 'İstatistikêAçarnayışi' ],
	'Translations' => [ 'Açarnayoği' ],
];

/** Lower Sorbian (dolnoserbski) */
$specialPageAliases['dsb'] = [
	'LanguageStats' => [ 'Rěcne statistiki' ],
	'Translate' => [ 'Přełožiś' ],
	'TranslationStats' => [ 'Statistika pśełožkow' ],
	'Translations' => [ 'Pśełožki' ],
];

/** Divehi (ދިވެހިބަސް) */
$specialPageAliases['dv'] = [
	'Translate' => [ 'ތަރުޖަމާކުރައްވާ' ],
	'Translations' => [ 'ތަރުޖަމާތައް' ],
];

/** Greek (Ελληνικά) */
$specialPageAliases['el'] = [
	'AggregateGroups' => [ 'ΣυγκεντρωτικέςΟμάδες' ],
	'ImportTranslations' => [ 'ΕισαγωγήΜεταφράσεων' ],
	'LanguageStats' => [ 'ΣτατιστικάΓλώσσας' ],
	'ManageMessageGroups' => [ 'ΔιαχείρισηΟμάδωνΜηνυμάτων' ],
	'ManageTranslatorSandbox' => [ 'ΔιαχείρισηΑμμοδοχείουΜεταφραστή', 'ΑμμοδοχείοΜετάφρασης' ],
	'MessageGroupStats' => [ 'ΣτατιστικάΟμάδαςΜηνυμάτων' ],
	'PageTranslation' => [ 'ΜετάφρασηΣελίδας' ],
	'PageTranslationDeletePage' => [ 'ΔιαγραφήΣελίδαςΜετάφρασηςΣελίδων' ],
	'SearchTranslations' => [ 'ΑναζήτησηΜεταφράσεων' ],
	'SupportedLanguages' => [ 'ΥποστηριζόμενεςΓλώσσες' ],
	'Translate' => [ 'Μετάφραση' ],
	'TranslationStats' => [ 'ΣτατιστικάΜετάφρασης' ],
	'Translations' => [ 'Μεταφράσεις' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'ImportTranslations' => [ 'Enporti_tradukojn', 'Importi_tradukojn' ],
	'LanguageStats' => [ 'Lingvaj_statistikoj' ],
	'SearchTranslations' => [ 'Serĉi_tradukojn' ],
	'SupportedLanguages' => [ 'Subtenataj_lingvoj' ],
	'Translate' => [ 'Traduki' ],
	'TranslationStats' => [ 'Statistikol_pri_tradukado' ],
	'Translations' => [ 'Tradukoj' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'SupportedLanguages' => [ 'IdiomasAdmitidos' ],
	'Translate' => [ 'Traducir' ],
	'Translations' => [ 'Traducciones' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'AggregateGroups' => [ 'جمع_گروه‌ها' ],
	'ImportTranslations' => [ 'درون‌بری_ترجمه‌ها' ],
	'LanguageStats' => [ 'آمار_زبان‌ها' ],
	'ManageMessageGroups' => [ 'مدیریت_گروه‌های_پیغام' ],
	'ManageTranslatorSandbox' => [ 'مدیریت_صفحهٔ_تمرین_ترجمه', 'صفحهٔ_تمرین_ترجمه' ],
	'MessageGroupStats' => [ 'آمار_گروه_پیغام' ],
	'PageTranslation' => [ 'ترجمه_صفحه' ],
	'PageTranslationDeletePage' => [ 'صفحه_حذف_ترجمه_صفحه' ],
	'SearchTranslations' => [ 'جستجوی_ترجمه‌ها' ],
	'SupportedLanguages' => [ 'زبان‌های_پشتیبانی‌شده' ],
	'Translate' => [ 'ترجمه' ],
	'TranslationStats' => [ 'آمار_ترجمه‌ها' ],
	'Translations' => [ 'ترجمه‌ها' ],
	'PageMigration' => [ 'مهاجرت_صفحه' ],
];

/** Finnish (suomi) */
$specialPageAliases['fi'] = [
	'ImportTranslations' => [ 'Käännösten_tuonti' ],
	'LanguageStats' => [ 'Kielitilastot' ],
	'ManageMessageGroups' => [ 'Viestiryhmien_hallinta' ],
	'PageTranslation' => [ 'Sivujen_kääntäminen' ],
	'SupportedLanguages' => [ 'Tuetut_kielet' ],
	'Translate' => [ 'Käännä' ],
	'TranslationStats' => [ 'Käännöstilastot' ],
	'Translations' => [ 'Käännökset' ],
];

/** French (français) */
$specialPageAliases['fr'] = [
	'LanguageStats' => [ 'StatistiquesDesLangues', 'Statistiques_des_langues' ],
	'Translate' => [ 'Traduire' ],
	'TranslationStats' => [ 'StatistiquesDesTraductions', 'Statistiques_des_traductions' ],
	'Translations' => [ 'Traductions' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'LanguageStats' => [ 'Statistiques_de_les_lengoues', 'StatistiquesDeLesLengoues' ],
	'Translate' => [ 'Traduire' ],
	'TranslationStats' => [ 'Statistiques_de_traduccion', 'StatistiquesDeTraduccion' ],
	'Translations' => [ 'Traduccions' ],
];

/** Western Frisian (Frysk) */
$specialPageAliases['fy'] = [
	'ImportTranslations' => [ 'OersettingsYmportearje' ],
	'LanguageStats' => [ 'Taalstatistiken' ],
	'PageTranslation' => [ 'Sideoersetting' ],
	'SearchTranslations' => [ 'OersettingsSykje' ],
	'Translate' => [ 'Oersette' ],
	'Translations' => [ 'Oersettings' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'ImportTranslations' => [ 'Importar_traducións' ],
	'LanguageStats' => [ 'Estatísticas_da_lingua' ],
	'PageTranslation' => [ 'Tradución_de_páxinas' ],
	'Translate' => [ 'Traducir' ],
	'TranslationStats' => [ 'Estatísticas_da_tradución' ],
	'Translations' => [ 'Traducións' ],
];

/** Swiss German (Alemannisch) */
$specialPageAliases['gsw'] = [
	'ImportTranslations' => [ 'Übersetzige_importiere' ],
	'LanguageStats' => [ 'Sprochstatischtik' ],
	'ManageMessageGroups' => [ 'Noochrichtegruppe_verwalte' ],
	'MessageGroupStats' => [ 'Noochrichtegruppestatistike' ],
	'PageTranslation' => [ 'Übersetzig_vo_Syte' ],
	'PageTranslationDeletePage' => [ 'Löschsyte_für_Übersetzige' ],
	'SupportedLanguages' => [ 'Sprooche_wo_unterstützt_werde' ],
	'Translate' => [ 'Ibersetze' ],
	'TranslationStats' => [ 'Ibersetzigsstatischtik' ],
	'Translations' => [ 'Ibersetzige' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'AggregateGroups' => [ 'קבוצות_משולבות' ],
	'ImportTranslations' => [ 'ייבוא_תרגומים' ],
	'LanguageStats' => [ 'סטטיסטיקות_שפה' ],
	'ManageMessageGroups' => [ 'ניהול_קבוצות_הודעות' ],
	'ManageTranslatorSandbox' => [ 'ניהול_ארגז_חול_של_מתרגמים' ],
	'MessageGroupStats' => [ 'סטטיסטיקות_של_קבוצות_הודעות' ],
	'PageTranslation' => [ 'תרגום_דף' ],
	'PageTranslationDeletePage' => [ 'מחיקת_דף_מתורגם' ],
	'SearchTranslations' => [ 'חיפוש_תרגומים' ],
	'SupportedLanguages' => [ 'שפות_נתמכות' ],
	'Translate' => [ 'תרגום' ],
	'TranslationStash' => [ 'מחסן_תרגומים' ],
	'TranslationStats' => [ 'סטטיסטיקות_תרגום' ],
	'Translations' => [ 'תרגומים' ],
	'PageMigration' => [ 'המרת_דף' ],
	'PagePreparation' => [ 'הכנת_דף' ],
];

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = [
	'Translate' => [ 'अनुवाद' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'Translate' => [ 'Prevedi' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'ImportTranslations' => [ 'Přełožki_importować' ],
	'LanguageStats' => [ 'Rěčne_statistiki' ],
	'PageTranslation' => [ 'Přełožowanje_stronow' ],
	'SearchTranslations' => [ 'Přełožki_pytać' ],
	'SupportedLanguages' => [ 'Podpěrane_rěče' ],
	'Translate' => [ 'Přełožić' ],
	'TranslationStats' => [ 'Statistika_přełožkow' ],
	'Translations' => [ 'Přełožki' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'ImportTranslations' => [ 'EnpòteTradiksyon' ],
	'LanguageStats' => [ 'EstatistikLang' ],
	'ManageMessageGroups' => [ 'GereGwoupMesaj' ],
	'PageTranslation' => [ 'TradiksyonPaj' ],
	'SupportedLanguages' => [ 'LangSipòte' ],
	'Translate' => [ 'Tradui' ],
	'TranslationStats' => [ 'EstatistikTradiksyon' ],
	'Translations' => [ 'TradiksyonYo' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'LanguageStats' => [ 'Nyelvi_statisztika' ],
	'Translate' => [ 'Fordítás' ],
	'TranslationStats' => [ 'Fordítási_statisztika' ],
	'Translations' => [ 'Fordítások' ],
];

/** Interlingua (interlingua) */
$specialPageAliases['ia'] = [
	'ImportTranslations' => [ 'Importar_traductiones' ],
	'LanguageStats' => [ 'Statisticas_de_linguas' ],
	'ManageMessageGroups' => [ 'Gerer_gruppos_de_messages' ],
	'MessageGroupStats' => [ 'Statisticas_de_gruppos_de_messages' ],
	'PageTranslation' => [ 'Traduction_de_paginas' ],
	'PageTranslationDeletePage' => [ 'Deler_pagina_traducite' ],
	'SupportedLanguages' => [ 'Linguas_supportate' ],
	'Translate' => [ 'Traducer' ],
	'TranslationStats' => [ 'Statisticas_de_traduction' ],
	'Translations' => [ 'Traductiones' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'ImportTranslations' => [ 'Impor_terjemahan', 'ImporTerjemahan' ],
	'LanguageStats' => [ 'Statistik_bahasa', 'StatistikBahasa' ],
	'ManageMessageGroups' => [ 'Kelola_pesan_grup', 'KelolaPesanGrup' ],
	'MessageGroupStats' => [ 'Statistik_pesan_grup', 'StatistikPesanGrup' ],
	'PageTranslation' => [ 'Terjemahan_halaman', 'TerjemahanHalaman' ],
	'SearchTranslations' => [ 'Cari_terjemahan', 'CariTerjemahan' ],
	'SupportedLanguages' => [ 'Bahasa_yang_didukung', 'BahasaDidukung' ],
	'Translate' => [ 'Terjemahkan' ],
	'TranslationStats' => [ 'Statistik_terjemahan', 'StatistikTerjemahan' ],
	'Translations' => [ 'Terjemahan' ],
];

/** Icelandic (íslenska) */
$specialPageAliases['is'] = [
	'Translate' => [ 'Þýða' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'AggregateGroups' => [ 'GruppiAggregati' ],
	'ImportTranslations' => [ 'ImportaTraduzioni' ],
	'LanguageStats' => [ 'StatisticheLingua' ],
	'ManageMessageGroups' => [ 'GestisciGruppiMessaggio' ],
	'MessageGroupStats' => [ 'StatisticheGruppiMessaggio' ],
	'PageTranslation' => [ 'TraduzionePagina' ],
	'SearchTranslations' => [ 'CercaTraduzioni' ],
	'SupportedLanguages' => [ 'LingueSupportate' ],
	'Translate' => [ 'Traduci' ],
	'TranslationStats' => [ 'StatisticheTraduzione' ],
	'Translations' => [ 'Traduzioni' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'AggregateGroups' => [ '集約群' ],
	'ImportTranslations' => [ '翻訳取り込み', '翻訳インポート' ],
	'LanguageStats' => [ '言語統計' ],
	'ManageMessageGroups' => [ 'メッセージ群の管理' ],
	'ManageTranslatorSandbox' => [ '翻訳者サンドボックスの管理' ],
	'MessageGroupStats' => [ 'メッセージグループ統計' ],
	'PageTranslation' => [ 'ページ翻訳' ],
	'PageTranslationDeletePage' => [ 'ページ翻訳削除ページ' ],
	'SearchTranslations' => [ '翻訳の検索' ],
	'SupportedLanguages' => [ 'サポートしている言語' ],
	'Translate' => [ '翻訳' ],
	'TranslationStats' => [ '翻訳統計' ],
	'Translations' => [ '翻訳結果' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'LanguageStats' => [ 'ენის_სტატისტიკა' ],
	'SupportedLanguages' => [ 'მხარდაჭერილი_ენები' ],
	'Translate' => [ 'თარგმნა' ],
	'TranslationStats' => [ 'თარგმნის_სტატისტიკა' ],
	'Translations' => [ 'თარგმანები' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'ImportTranslations' => [ 'ការបកប្រែនាំចូល' ],
	'LanguageStats' => [ 'ស្ថិតិភាសា' ],
	'ManageMessageGroups' => [ 'គ្រប់គ្រងក្រុមសារ' ],
	'PageTranslation' => [ 'ការបកប្រែទំព័រ' ],
	'SupportedLanguages' => [ 'ភាសាដែលអាចប្រើបាន' ],
	'Translate' => [ 'បកប្រែ' ],
	'TranslationStats' => [ 'ស្ថិតិការបកប្រែ' ],
	'Translations' => [ 'ការបកប្រែ' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'AggregateGroups' => [ '집계그룹' ],
	'ImportTranslations' => [ '번역가져오기' ],
	'LanguageStats' => [ '언어통계' ],
	'ManageMessageGroups' => [ '메시지그룹관리' ],
	'ManageTranslatorSandbox' => [ '번역자연습장관리', '번역연습장' ],
	'MessageGroupStats' => [ '메시지그룹통계' ],
	'PageTranslation' => [ '문서번역' ],
	'PageTranslationDeletePage' => [ '문서번역삭제문서' ],
	'SearchTranslations' => [ '번역검색', '번역찾기' ],
	'SupportedLanguages' => [ '지원하는언어' ],
	'Translate' => [ '번역' ],
	'TranslationStash' => [ '비공개번역' ],
	'TranslationStats' => [ '번역통계' ],
	'Translations' => [ '번역목록' ],
	'PageMigration' => [ '문서이주' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'LanguageStats' => [ 'Shtatistike_vu_de_Shprooche' ],
	'Translate' => [ 'Övversäze' ],
	'TranslationStats' => [ 'Statistik vun fun de Övversäzung', 'Övversäzungszahle', 'Statistik vun fun de Övversäzong', 'Övversäzongszahle' ],
	'Translations' => [ 'Övversätzunge' ],
];

/** Kurdish (Latin script) (Kurdî (latînî)‎) */
$specialPageAliases['ku-latn'] = [
	'Translate' => [ 'Wergerîne' ],
	'Translations' => [ 'Werger' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'ImportTranslations' => [ 'YmperthiTreylyansow' ],
	'LanguageStats' => [ 'StatystygyonYeth' ],
	'PageTranslation' => [ 'TreylyansFolennow' ],
	'SupportedLanguages' => [ 'YethowSkoodhys' ],
	'Translate' => [ 'Treylya' ],
	'TranslationStats' => [ 'StatystygronTreylya' ],
	'Translations' => [ 'Treylyansow' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'ImportTranslations' => [ 'Iwwersetzungen_importéieren' ],
	'LanguageStats' => [ 'Sproochestatistiken' ],
	'ManageMessageGroups' => [ 'Gruppe_vu_Message_geréieren' ],
	'ManageTranslatorSandbox' => [ 'Iwwersetzungssandkëscht_geréieren' ],
	'MessageGroupStats' => [ 'Statistike_vun_de_Gruppe_vu_Messagen' ],
	'PageTranslation' => [ 'Säiten-Iwwersetzung' ],
	'PageTranslationDeletePage' => [ 'Läschsäit_fir_Iwwersetzungen' ],
	'SearchTranslations' => [ 'Iwwersetzunge_sichen' ],
	'SupportedLanguages' => [ 'Ënnerstetzt_Sproochen' ],
	'Translate' => [ 'Iwwersetzen' ],
	'TranslationStats' => [ 'Iwwersetzungsstatistiken' ],
	'Translations' => [ 'Iwwersetzungen' ],
	'PageMigration' => [ 'Säite-Migratioun' ],
	'PagePreparation' => [ 'Säitevirbereedung' ],
];

/** Lombard (lumbaart) */
$specialPageAliases['lmo'] = [
	'Translate' => [ 'Volta' ],
	'Translations' => [ 'Tradüzion' ],
];

/** Lithuanian (lietuvių) */
$specialPageAliases['lt'] = [
	'PageTranslation' => [ 'Puslapio_vertimas' ],
	'Translate' => [ 'Vertimas' ],
];

/** Literary Chinese (文言) */
$specialPageAliases['lzh'] = [
	'Translate' => [ '譯' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'AggregateGroups' => [ 'ЗбирниГрупи' ],
	'ImportTranslations' => [ 'УвезиПреводи' ],
	'LanguageStats' => [ 'СтатистикиЗаЈазик' ],
	'ManageMessageGroups' => [ 'РаководењеСоГрупиНаПораки' ],
	'ManageTranslatorSandbox' => [ 'РаководиПреведувачкиПесочник' ],
	'MessageGroupStats' => [ 'СтатистикиЗаГупиПораки' ],
	'PageTranslation' => [ 'ПреводНаСтраницата' ],
	'PageTranslationDeletePage' => [ 'ПреводНаСтраницаИзбришиСтраница' ],
	'SearchTranslations' => [ 'ПребарајПреводи' ],
	'SupportedLanguages' => [ 'ПоддржаниЈазици' ],
	'Translate' => [ 'Преведување' ],
	'TranslationStash' => [ 'ПреведувачкиСклад' ],
	'TranslationStats' => [ 'СтатистикиЗаПреведување' ],
	'Translations' => [ 'Преводи' ],
	'PageMigration' => [ 'СелењеСтраници' ],
	'PagePreparation' => [ 'ПодготовнаНаСтраници' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'ImportTranslations' => [ 'പരിഭാഷാ_ഇറക്കുമതി' ],
	'LanguageStats' => [ 'ഭാഷാസ്ഥിതിവിവരം' ],
	'ManageMessageGroups' => [ 'സന്ദേശസംഘങ്ങളുടെകൈകാര്യം' ],
	'MessageGroupStats' => [ 'സന്ദേശഗണസ്ഥിതിവിവരം' ],
	'PageTranslation' => [ 'താളിന്റെപരിഭാഷ' ],
	'SearchTranslations' => [ 'പരിഭാഷകളിൽതിരയുക' ],
	'SupportedLanguages' => [ 'പിന്തുണയുള്ളഭാഷകൾ' ],
	'Translate' => [ 'പരിഭാഷ' ],
	'TranslationStats' => [ 'പരിഭാഷാസ്ഥിതിവിവരം' ],
	'Translations' => [ 'പരിഭാഷകൾ' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'ImportTranslations' => [ 'भाषांतराआयात' ],
	'LanguageStats' => [ 'भाषासांख्यिकी' ],
	'PageTranslation' => [ 'पृष्ठभाषांतर', 'पृष्ठअनुवाद' ],
	'SearchTranslations' => [ 'अनुवाद_शोधा' ],
	'Translate' => [ 'भाषांतर' ],
	'TranslationStats' => [ 'भाषांतरसांख्यिकी' ],
	'Translations' => [ 'भाषांतरणे' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'Translate' => [ 'Terjemah' ],
	'Translations' => [ 'Terjemahan' ],
];

/** Maltese (Malti) */
$specialPageAliases['mt'] = [
	'LanguageStats' => [ 'StatistikaLingwa' ],
	'PageTranslation' => [ 'TraduzzjoniPaġna' ],
	'Translate' => [ 'Traduzzjoni' ],
	'TranslationStats' => [ 'StatistikaTraduzzjoni' ],
	'Translations' => [ 'Traduzzjonijiet' ],
];

/** Mirandese (Mirandés) */
$specialPageAliases['mwl'] = [
	'Translate' => [ 'Traduzir' ],
	'TranslationStats' => [ 'Stado de la traduçon' ],
	'Translations' => [ 'Traduçones' ],
];

/** Erzya (эрзянь) */
$specialPageAliases['myv'] = [
	'Translate' => [ 'Ютавтомс' ],
	'TranslationStats' => [ 'ЮтавтомадоСтатистика' ],
];

/** Nāhuatl (Nāhuatl) */
$specialPageAliases['nah'] = [
	'Translate' => [ 'Tlahtōlcuepāz', 'Traducir' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'AggregateGroups' => [ 'Samlingsgrupper' ],
	'ImportTranslations' => [ 'Importer_oversettelser' ],
	'LanguageStats' => [ 'Språkstatistikk' ],
	'ManageMessageGroups' => [ 'Behandle_meldingsgrupper' ],
	'MessageGroupStats' => [ 'Meldingsgruppestatistikk' ],
	'PageTranslation' => [ 'Sideoversettelse' ],
	'SearchTranslations' => [ 'Søk_i_oversettelser' ],
	'SupportedLanguages' => [ 'Støttede_språk' ],
	'Translate' => [ 'Oversett' ],
	'TranslationStats' => [ 'Oversettelsesstatistikk' ],
	'Translations' => [ 'Oversettelser' ],
];

/** Low German (Plattdüütsch) */
$specialPageAliases['nds'] = [
	'Translate' => [ 'Översetten' ],
];

/** Low Saxon (Netherlands) (Nedersaksies) */
$specialPageAliases['nds-nl'] = [
	'AggregateGroups' => [ 'Samen-evoegden_groepen' ],
	'ImportTranslations' => [ 'Vertalingen_invoeren' ],
	'LanguageStats' => [ 'Taalstaotistieken' ],
	'ManageMessageGroups' => [ 'Berichtengroepen_beheren' ],
	'ManageTranslatorSandbox' => [ 'Vertalers_zaandkule_beheren' ],
	'PageTranslation' => [ 'Ziedvertaling' ],
	'PageTranslationDeletePage' => [ 'Ziedvertaling_zied_vortdoon' ],
	'SearchTranslations' => [ 'Vertalingen_zeuken' ],
	'SupportedLanguages' => [ 'Ondersteunde_talen' ],
	'Translate' => [ 'Vertalen' ],
	'TranslationStats' => [ 'Vertaalstaotistieken' ],
	'Translations' => [ 'Vertalingen' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'AggregateGroups' => [ 'SamengevoegdeGroepen' ],
	'ImportTranslations' => [ 'VertalingenImporteren' ],
	'LanguageStats' => [ 'Taalstatistieken' ],
	'ManageMessageGroups' => [ 'BerichtengroepenBeheren' ],
	'ManageTranslatorSandbox' => [ 'VertalerszandbakBeheren' ],
	'MessageGroupStats' => [ 'Berichtengroepstatistieken' ],
	'PageTranslation' => [ 'Paginavertaling' ],
	'PageTranslationDeletePage' => [ 'PaginavertalingpaginaVerwijderen' ],
	'SearchTranslations' => [ 'VertalingenZoeken' ],
	'SupportedLanguages' => [ 'OndersteundeTalen' ],
	'Translate' => [ 'Vertalen' ],
	'TranslationStats' => [ 'Vertaalstatistieken', 'Vertalingsstatistieken' ],
	'Translations' => [ 'Vertalingen' ],
	'PageMigration' => [ 'PaginaMigreren' ],
];

/** Norwegian Nynorsk (norsk nynorsk) */
$specialPageAliases['nn'] = [
	'Translate' => [ 'Set_om' ],
	'Translations' => [ 'Omsetjingar' ],
];

/** Occitan (occitan) */
$specialPageAliases['oc'] = [
	'Translate' => [ 'Traduire', 'Tradusir' ],
	'Translations' => [ 'Traduccions', 'Reviradas' ],
];

/** Oriya (ଓଡ଼ିଆ) */
$specialPageAliases['or'] = [
	'Translate' => [ 'ଅନୁବାଦ' ],
	'Translations' => [ 'ଅନୁବାଦସମୂହ' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'PageTranslation' => [ 'ਸਫ਼ੇ_ਦਾ_ਉਲਥਾ', 'ਸਫ਼ੇ_ਦਾ_ਤਰਜਮਾ' ],
	'Translate' => [ 'ਉਲਥਾਓ', 'ਤਰਜਮਾ_ਕਰੋ' ],
];

/** Polish (polski) */
$specialPageAliases['pl'] = [
	'AggregateGroups' => [ 'Grupy_zbiorcze' ],
	'ImportTranslations' => [ 'Import_tłumaczeń' ],
	'LanguageStats' => [ 'Statystyka_językowa' ],
	'ManageMessageGroups' => [ 'Zarządzanie_grupami_komunikatów' ],
	'PageTranslation' => [ 'Tłumaczenie_strony' ],
	'SupportedLanguages' => [ 'Wspierane_języki' ],
	'Translate' => [ 'Przetłumacz' ],
	'TranslationStats' => [ 'Statystyki_tłumaczenia' ],
	'Translations' => [ 'Tłumaczenia' ],
	'PageMigration' => [ 'Migracja_strony' ],
	'PagePreparation' => [ 'Przygotowanie_strony' ],
];

/** Pashto (پښتو) */
$specialPageAliases['ps'] = [
	'Translate' => [ 'ژباړل' ],
	'Translations' => [ 'ژباړې' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'ImportTranslations' => [ 'Importar_traduções' ],
	'LanguageStats' => [ 'Estatísticas_de_línguas' ],
	'PageTranslation' => [ 'Tradução_de_páginas' ],
	'Translate' => [ 'Traduzir' ],
	'TranslationStats' => [ 'Estatísticas_de_traduções' ],
	'Translations' => [ 'Traduções' ],
];

/** Brazilian Portuguese (português do Brasil) */
$specialPageAliases['pt-br'] = [
	'Translate' => [ 'Traduzir' ],
	'TranslationStats' => [ 'Estado_da_tradução', 'Status_da_tradução' ],
];

/** Quechua (Runa Simi) */
$specialPageAliases['qu'] = [
	'ManageTranslatorSandbox' => [ 'TikranaPukllana' ],
	'Translate' => [ 'Tikray' ],
];

/** Romanian (română) */
$specialPageAliases['ro'] = [
	'ImportTranslations' => [ 'Importare_traduceri' ],
	'LanguageStats' => [ 'Statistici_limbă' ],
	'PageTranslation' => [ 'Traducere_pagină' ],
	'Translate' => [ 'Traducere' ],
	'TranslationStats' => [ 'Statistici_traduceri' ],
	'Translations' => [ 'Traduceri' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'AggregateGroups' => [ 'Агрегированные_группы' ],
	'ImportTranslations' => [ 'Импорт_переводов' ],
	'LanguageStats' => [ 'Статистика_языка' ],
	'ManageMessageGroups' => [ 'Управление_группами_сообщений' ],
	'MessageGroupStats' => [ 'Статистика_группы_сообщений' ],
	'PageTranslation' => [ 'Перевод_страниц' ],
	'PageTranslationDeletePage' => [ 'Удаление_переводимой_страницы' ],
	'SearchTranslations' => [ 'Поиск_переводов' ],
	'SupportedLanguages' => [ 'Поддерживаемые_языки' ],
	'Translate' => [ 'Перевести' ],
	'TranslationStats' => [ 'Статистика_переводов' ],
	'Translations' => [ 'Переводы' ],
];

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = [
	'LanguageStats' => [ 'भाषासांख्यिकी' ],
	'Translate' => [ 'भाषांतर' ],
	'TranslationStats' => [ 'भाषांतरसांख्यिकी' ],
	'Translations' => [ 'भाषांतरानि' ],
];

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = [
	'AggregateGroups' => [ 'GruppiAggregati' ],
	'ImportTranslations' => [ 'ImportaTraduzioni' ],
	'LanguageStats' => [ 'StatisticheLingua' ],
	'ManageMessageGroups' => [ 'GestisciGruppiMessaggio' ],
	'MessageGroupStats' => [ 'MessaggioGruppoStat' ],
	'PageTranslation' => [ 'TraduzionePagina' ],
	'SupportedLanguages' => [ 'LingueSupportate' ],
	'Translate' => [ 'Traduci' ],
	'TranslationStats' => [ 'StatisticheTraduzione' ],
	'Translations' => [ 'Traduzioni' ],
];

/** Sinhala (සිංහල) */
$specialPageAliases['si'] = [
	'Translate' => [ 'පරිවර්තනය' ],
];

/** Slovak (slovenčina) */
$specialPageAliases['sk'] = [
	'LanguageStats' => [ 'ŠtatistikyJazykov' ],
	'PageTranslation' => [ 'PrekladStránky' ],
	'Translate' => [ 'Preložiť' ],
	'TranslationStats' => [ 'ŠtatistikyPrekladov' ],
	'Translations' => [ 'Preklady' ],
];

/** Albanian (shqip) */
$specialPageAliases['sq'] = [
	'Translate' => [ 'Përkthe' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'AggregateGroups' => [ 'Спојене_групе' ],
	'ImportTranslations' => [ 'Увоз_превода' ],
	'ExportTranslations' => [ 'Извоз_превода' ],
	'LanguageStats' => [ 'Статистика_језика' ],
	'ManageMessageGroups' => [ 'Управљање_групама_порука' ],
	'ManageTranslatorSandbox' => [ 'Управљање_песком_преводиоца', 'Песак_за_преводе' ],
	'MessageGroupStats' => [ 'Статистике_група_превода' ],
	'PageTranslation' => [ 'Превод_странице' ],
	'PageTranslationDeletePage' => [ 'Обриши_страницу_превода' ],
	'SearchTranslations' => [ 'Претрага_превода' ],
	'SupportedLanguages' => [ 'Подржани_језици' ],
	'Translate' => [ 'Преведи' ],
	'TranslationStash' => [ 'Складиште_превода' ],
	'TranslationStats' => [ 'Статистика_превода' ],
	'Translations' => [ 'Преводи' ],
	'PageMigration' => [ 'Сеоба_странице' ],
	'PagePreparation' => [ 'Припрема_странице' ],
];

/** Serbian (Latin script) (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'AggregateGroups' => [ 'Spojene_grupe' ],
	'ImportTranslations' => [ 'Uvoz_prevoda' ],
	'ExportTranslations' => [ 'Izvoz_prevoda' ],
	'LanguageStats' => [ 'Statistika_jezika' ],
	'ManageMessageGroups' => [ 'Upravljanje_grupama_poruka' ],
	'ManageTranslatorSandbox' => [ 'Upravljanje_peskom_prevodioca', 'Pesak_za_prevode' ],
	'MessageGroupStats' => [ 'Statistike_grupa_prevoda' ],
	'PageTranslation' => [ 'Prevod_stranice' ],
	'PageTranslationDeletePage' => [ 'Obriši_stranicu_prevoda' ],
	'SearchTranslations' => [ 'Pretraga_prevoda' ],
	'SupportedLanguages' => [ 'Podržani_jezici' ],
	'Translate' => [ 'Prevedi' ],
	'TranslationStash' => [ 'Skladište_prevoda' ],
	'TranslationStats' => [ 'Statistika_prevoda' ],
	'Translations' => [ 'Prevodi' ],
	'PageMigration' => [ 'Seoba_stranice' ],
	'PagePreparation' => [ 'Priprema_stranice' ],
];

/** Sundanese (Basa Sunda) */
$specialPageAliases['su'] = [
	'LanguageStats' => [ 'StatBasa' ],
	'Translate' => [ 'Tarjamah' ],
	'TranslationStats' => [ 'StatTarjamah' ],
	'Translations' => [ 'Tarjamahan' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'ImportTranslations' => [ 'Importera_översättningar' ],
	'LanguageStats' => [ 'Språkstatistik' ],
	'Translate' => [ 'Översätt' ],
	'TranslationStats' => [ 'Översättningsstatistik' ],
	'Translations' => [ 'Översättningar' ],
	'PageMigration' => [ 'Sidmigrering' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'Translate' => [ 'Tafsiri' ],
	'TranslationStats' => [ 'TakwimuzaTafsiri' ],
	'Translations' => [ 'Tafsiri' ],
];

/** Telugu (తెలుగు) */
$specialPageAliases['te'] = [
	'ImportTranslations' => [ 'అనువాదాలదిగుమతి' ],
	'LanguageStats' => [ 'భాషాలెక్కలు' ],
	'PageTranslation' => [ 'పేజిఅనువాదము' ],
	'Translate' => [ 'అనువాదం' ],
	'TranslationStats' => [ 'అనువాదలెక్కలు' ],
	'Translations' => [ 'అనువాదాలు' ],
];

/** Thai (ไทย) */
$specialPageAliases['th'] = [
	'LanguageStats' => [ 'สถิติภาษา' ],
	'SupportedLanguages' => [ 'ภาษาที่รองรับ' ],
	'Translate' => [ 'แปล' ],
	'TranslationStats' => [ 'สถิติการแปล' ],
	'Translations' => [ 'การแปล' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'LanguageStats' => [ 'Mga_estadistika_ng_wika' ],
	'Translate' => [ 'Isalinwika' ],
	'TranslationStats' => [ 'Mga_estadistika_ng_salinwika' ],
	'Translations' => [ 'Mga_salinwika' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'AggregateGroups' => [ 'GruplarıBirleştirme' ],
	'ImportTranslations' => [ 'ÇevirileriİçeAktar' ],
	'LanguageStats' => [ 'Dilİstatistikleri' ],
	'ManageMessageGroups' => [ 'MesajGruplarınıYönet', 'İletiGruplarınıYönet' ],
	'MessageGroupStats' => [ 'MesajGrubuİstatistikleri', 'İletiGrubuİstatistikleri' ],
	'PageTranslation' => [ 'SayfaÇevirisi' ],
	'PageTranslationDeletePage' => [ 'SayfaÇevirisiSayfaSilme' ],
	'SupportedLanguages' => [ 'DesteklenenDiller' ],
	'Translate' => [ 'Çevir', 'Çeviri' ],
	'TranslationStats' => [ 'Çeviriİstatistikleri' ],
	'Translations' => [ 'Çeviriler' ],
];

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = [
	'LanguageStats' => [ 'Телләр_хисабы' ],
	'PageTranslation' => [ 'Битне_тәрҗемә_итү' ],
	'Translate' => [ 'Тәрҗемә' ],
	'TranslationStats' => [ 'Тәрҗемәләр_хисабы' ],
	'Translations' => [ 'Тәрҗемәләр' ],
];

/** Tuvinian (тыва дыл) */
$specialPageAliases['tyv'] = [
	'PageTranslation' => [ 'Арын_очулгазы' ],
	'PageTranslationDeletePage' => [ 'Очулдуругда_арынны_казыыр' ],
	'SearchTranslations' => [ 'Очулгалар_дилээр' ],
	'SupportedLanguages' => [ 'Дөгүмнээн_дылдар' ],
	'Translate' => [ 'Очулдурар' ],
	'TranslationStats' => [ 'Очулга_статистиказы' ],
	'Translations' => [ 'Очулгалар' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'AggregateGroups' => [ 'Агреговані_групи', 'Агрегированные_группы' ],
	'ImportTranslations' => [ 'Імпорт_перекладів', 'Импорт_переводов' ],
	'LanguageStats' => [ 'Статистика_мови', 'Статистика_языка' ],
	'ManageMessageGroups' => [ 'Керування_групами_повідомлень', 'Управление_группами_сообщений' ],
	'MessageGroupStats' => [ 'Статистика_групи_повідомлень', 'Статистика_группы_сообщений' ],
	'PageTranslation' => [ 'Переклад', 'Перевод_страниц' ],
	'PageTranslationDeletePage' => [ 'Вилучення_перекладабельної_сторінки', 'Удаление_переводимой_страницы' ],
	'SearchTranslations' => [ 'Пошук_перекладів', 'Поиск_переводов' ],
	'SupportedLanguages' => [ 'Підтримувані_мови', 'Поддерживаемые_языки' ],
	'Translate' => [ 'Перекласти', 'Перевести' ],
	'TranslationStats' => [ 'Статистика_перекладів', 'Статистика_переводов' ],
	'Translations' => [ 'Переклади', 'Переводы' ],
];

/** Venetian (vèneto) */
$specialPageAliases['vec'] = [
	'Translate' => [ 'Tradusi' ],
	'Translations' => [ 'Tradussioni' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'ImportTranslations' => [ 'Nhập_bản_dịch' ],
	'LanguageStats' => [ 'Thống_kê_ngôn_ngữ' ],
	'ManageMessageGroups' => [ 'Quản_lý_nhóm_thông_điệp', 'Quản_lý_nhóm', 'Quản_lí_nhóm_thông_điệp', 'Quản_lí_nhóm' ],
	'ManageTranslatorSandbox' => [ 'Quản_lý_chỗ_thử_biên_dịch', 'Quản_lí_chỗ_thử_biên_dịch' ],
	'MessageGroupStats' => [ 'Thống_kê_nhóm_thông_điệp', 'Thống_kê_nhóm' ],
	'PageTranslation' => [ 'Dịch_trang', 'Biên_dịch_trang' ],
	'SearchTranslations' => [ 'Tìm_kiếm_bản_dịch' ],
	'SupportedLanguages' => [ 'Ngôn_ngữ_đuọc_hỗ_trợ' ],
	'Translate' => [ 'Dịch', 'Biên_dịch' ],
	'TranslationStats' => [ 'Thống_kê_biên_dịch' ],
	'Translations' => [ 'Bản_dịch' ],
	'PagePreparation' => [ 'Sửa_soạn_trang' ],
];

/** Wolof (Wolof) */
$specialPageAliases['wo'] = [
	'Translate' => [ 'Tekki' ],
];

/** Yiddish (ייִדיש) */
$specialPageAliases['yi'] = [
	'Translate' => [ 'פֿארטײַטש' ],
];

/** Cantonese (粵語) */
$specialPageAliases['yue'] = [
	'Translate' => [ '譯' ],
];

/** Chinese (中文) */
$specialPageAliases['zh'] = [
	'Translate' => [ '翻译', '翻譯' ],
];

/** Simplified Chinese (中文（简体)) */
$specialPageAliases['zh-hans'] = [
	'AggregateGroups' => [ '信息组总计' ],
	'ImportTranslations' => [ '导入翻译' ],
	'LanguageStats' => [ '语言统计' ],
	'ManageMessageGroups' => [ '信息组管理' ],
	'ManageTranslatorSandbox' => [ '管理译者沙盒' ],
	'MessageGroupStats' => [ '信息组状态' ],
	'PageTranslation' => [ '页面翻译' ],
	'PageTranslationDeletePage' => [ '页面翻译删除页面' ],
	'SearchTranslations' => [ '搜索翻译' ],
	'SupportedLanguages' => [ '支持的语言' ],
	'Translate' => [ '翻译' ],
	'TranslationStash' => [ '翻译隐藏' ],
	'TranslationStats' => [ '翻译统计' ],
	'Translations' => [ '译文' ],
	'PageMigration' => [ '页面迁移' ],
	'PagePreparation' => [ '页面预备' ],
];

/** Traditional Chinese (中文（繁體)) */
$specialPageAliases['zh-hant'] = [
	'AggregateGroups' => [ '集合群組' ],
	'ImportTranslations' => [ '匯入翻譯' ],
	'LanguageStats' => [ '語言統計' ],
	'ManageMessageGroups' => [ '管理訊息群組' ],
	'ManageTranslatorSandbox' => [ '管理翻譯人員沙盒' ],
	'MessageGroupStats' => [ '訊息群組統計' ],
	'PageTranslation' => [ '頁面翻譯' ],
	'PageTranslationDeletePage' => [ '頁面翻譯刪除頁面' ],
	'SearchTranslations' => [ '搜尋翻譯' ],
	'SupportedLanguages' => [ '支援的語言' ],
	'Translate' => [ '翻譯' ],
	'TranslationStash' => [ '翻譯儲藏庫' ],
	'TranslationStats' => [ '翻譯統計' ],
	'Translations' => [ '翻譯清單' ],
	'PageMigration' => [ '頁面轉移' ],
	'PagePreparation' => [ '頁面準備' ],
];
